Bug 965325 - Review Request: perl-Data-Uniqid - Perl extension for simple generating of unique id's
Review Request: perl-Data-Uniqid - Perl extension for simple generating of un...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Travis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 19:28 EDT by Nick Bebout
Modified: 2013-08-01 02:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:20:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nick Bebout 2013-05-20 19:28:11 EDT
Spec URL: http://nb.fedorapeople.org/perl-Data-Uniqid.spec
SRPM URL: http://nb.fedorapeople.org/perl-Data-Uniqid-0.12-1.fc17.src.rpm
Description: Perl extension for simple generating of unique id's
Fedora Account System Username: nb
Comment 1 Pete Travis 2013-05-20 21:28:15 EDT
Package Review
==============
# from fedora-review, manuals inline

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[+] = Manual review pass



===== MUST items =====

Generic:
[+]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[+]: Package contains no bundled libraries without FPC exception.
[+]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[+]: Package requires other packages for directories it uses.
[+]: Package uses nothing in %doc for runtime.
[+]: Package is not known to require ExcludeArch.
[+]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[+]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/rpmbuild/965325-perl-Data-
     Uniqid/licensecheck.txt
[+]: Package consistently uses macro is (instead of hard-coded directory
     names).
[+]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
[+]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: Requires correct, justified where necessary.
[+]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Perl:
[+]: Package contains the mandatory BuildRequires and Requires:.
[+]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[+]: Package functions as described.
[+]: Latest version is packaged.
[+]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported
     architectures.
[+]: %check is present and all tests pass.
[+]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Data-Uniqid-0.12-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Data-Uniqid
perl-Data-Uniqid.noarch: W: spelling-error Summary(en_US) genrating -> generating, gen rating, gen-rating
perl-Data-Uniqid.noarch: W: spelling-error %description -l en_US systen -> system
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

## rpmlint's complaints are corrected in the spec file, these are stale complaints.



Requires
--------
perl-Data-Uniqid (rpmlib, GLIBC filtered):
    perl
    perl(:MODULE_COMPAT_5.16.3)
    perl(AutoLoader)
    perl(Exporter)
    perl(Math::BigInt)
    perl(Sys::Hostname)
    perl(Time::HiRes)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Data-Uniqid:
    perl(Data::Uniqid)
    perl-Data-Uniqid



Source checksums
----------------
http://www.cpan.org/modules/by-module/Data/Data-Uniqid-0.12.tar.gz :
  CHECKSUM(SHA256) this package     : b6919ba49b9fe98bfdf3e8accae7b9b7f78dc9e71ebbd0b7fef7a45d99324ccb
  CHECKSUM(SHA256) upstream package : b6919ba49b9fe98bfdf3e8accae7b9b7f78dc9e71ebbd0b7fef7a45d99324ccb


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -b 965325
Comment 2 Pete Travis 2013-05-20 21:28:55 EDT
Looks good, Nick. Package APPROVED.
Comment 3 Nick Bebout 2013-05-21 11:40:27 EDT
New Package SCM Request
=======================
Package Name: perl-Data-Uniqid
Short Description: Perl extension for simple generating of unique id's
Owners: nb
Branches: el5 el6 f17 f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-05-21 12:26:42 EDT
Git done (by process-git-requests).
Comment 5 Pete Travis 2013-08-01 02:20:16 EDT
This package has been approved and is available in stable repos, so I'm closing the review ticket.

Note You need to log in before you can comment on or make changes to this bug.